Update Webhook Settings
curl --request PATCH \
--url https://external.nectarclimate.com/v2.1/configure_webhook \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"enabled": true
}
'import requests
url = "https://external.nectarclimate.com/v2.1/configure_webhook"
payload = { "enabled": True }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://external.nectarclimate.com/v2.1/configure_webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true
}{
"detail": "<string>",
"error": "<string>"
}Webhook Portal
Update Webhook Settings
Enable or disable webhooks for your organization. When disabled, no webhook events are dispatched and the webhook portal is inaccessible.
PATCH
/
configure_webhook
Update Webhook Settings
Authorizations
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Request body to enable or disable webhooks.
Set to true to enable webhooks, false to disable.
Response
Current webhook configuration for the organization.
Whether webhooks are enabled for this organization.
⌘I